#
# spec file for package python-uamqp
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1500
%define skip_python2 1
%endif
Name:           python-uamqp
Version:        1.6.5
Release:        1.1
Summary:        AMQP 10 Client Library for Python
License:        MIT
URL:            https://github.com/Azure/azure-uamqp-python
Source:         https://files.pythonhosted.org/packages/source/u/uamqp/uamqp-%{version}.tar.gz
Patch1:         u_strip-werror.patch
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module certifi >= 2017.4.17}
# /SECTION
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libopenssl-devel
Requires:       python-certifi >= 2017.4.17
Suggests:       python-enum34 >= 1.0.4

%python_subpackages

%description
AMQP 1.0 Client Library for Python

%prep
%autosetup -p1 -n uamqp-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitearch}
#%%check
#%%python_exec setup.py test

%files %{python_files}
%doc HISTORY.rst README.rst
%{python_sitearch}/uamqp
%{python_sitearch}/uamqp-*info

%changelog
* Wed Jul 12 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.6.5
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Feb 17 2023 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.6.4:
  * Updated OpenSSL dependency to 1.1.1t
  * Updated submodules to support OpenSSL 3.0 compilation
  * Removed dependency on six
  * Fixed a bug that caused the wrong port to selected for websockets
    when a port was not passed in
* Fri Nov 11 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.6.3
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Aug 23 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.6.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Mar 31 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.5.3
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Jan 13 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.5.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Jan 12 2022 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.5.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Oct  7 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.4.3
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Jun 29 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.4.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed May  5 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.4.0
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Mar 17 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.15
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Refresh patches for new version
  + u_strip-werror.patch
* Mon Jan 11 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.13
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Thu Nov 26 2020 Robert Schweikert <rjschwei@suse.com>
- Only build Python3 flavors for distributions 15 and greater
* Thu Nov 12 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.12
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Tue Oct  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.11
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Aug 28 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.10
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst in %%doc section
* Wed May  6 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.7
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Wed Mar 11 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.6
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Mon Jan 27 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.5
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
* Fri Oct  4 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 1.2.2
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Drop patches to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + u_drop-compatible-releases-operator.patch
  + u_drop-extras-require.patch
- Refresh patches for new version
  + u_strip-werror.patch
* Mon Apr 15 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 1.1.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + u_drop-compatible-releases-operator.patch
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + u_drop-extras-require.patch
- Add patch to strip "-Werror" from CFLAGS/CXXFLAGS
  + u_strip-werror.patch
